/* Container */
.container {
    display: flex;
    height: 100vh;
    width: 100%;
    flex-direction: row-reverse;
    background: #d9fdff;
}

/* Image Section */
.image-section {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.image-section img {
    max-width: 85%;
    height: auto;
    object-fit: cover;
}

/* Form Section */
.form-section {
    flex: 1;
    position: relative;
}

/* Form Card */
.form-card {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    max-width: 600px;
    min-height: 400px; /* صغرنا الطول */
    background-color: #d9fdff;
    border: solid 1px #0A3442;
    padding: 40px 30px; /* صغرنا البادينج كمان شويه */
    border-radius: 25px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    text-align: center;
}


/* Avatar */
.avatar img {
    width: 110px;
    margin-bottom: 25px;
}

/* Title */
h2 {
    font-size: 34px;
    margin-bottom: 30px;
    color: #0A3442;
    font-family: 'Zain', sans-serif;
}

/* Form Input */
/* Form Input */
form input {
    width: 100%;
    padding: 16px;
    margin-bottom: 20px; 
    border: 1px solid #0A3442;
    border-radius: 10px;
    background: #d9fdff;
    font-size: 16px;
    box-sizing: border-box; 
}

/* For better focus effect */
form input:focus {
    outline: none;
    border-color: #0A3442;
    box-shadow: 0 0 5px rgba(10, 52, 66, 0.2); 
}


/* Submit Button */
.submit-btn {
    text-decoration: none;
    width: 45%;
    padding: 14px;
    background: #fff;
    color: #0A3442;
    border: 1px solid #0A3442;
    border-radius: 20px;
    cursor: pointer;
    font-size: 16px;
    transition: 0.3s;
    font-family: 'Zain', sans-serif;
}

.submit-btn:hover {
    background: #0A3442;
    color: #fff;
}

/* Responsive */
@media (max-width: 991px) {
    .container {
        flex-direction: column;
    }

    .image-section, .form-section {
        width: 100%;
        height: 50%;
    }

    .form-card {
        top: 50%;
        transform: translate(-50%, -50%);
        width: 90%;
        max-width: 400px;
        min-height: 500px;
        padding: 30px;
    }
}

@media (max-width: 600px) {
    .form-card {
        padding: 20px;
    }

    form input, .submit-btn {
        font-size: 14px;
        padding: 10px;
    }
}




/* link resend */
.resend-link {
    display: block;
    margin-top: 10px; 
    text-align: right; 
    font-size: 20px;
    color: #33A5A0; 
    text-decoration: none;
    font-family: 'Zain', sans-serif;
}

.resend-link:hover {
    color: #005f7f; 
    text-decoration: underline;
}




.submit-btn:hover {
    background: #0A3442;
    color: #fff;
}
